package ink.wgink.module.attn.startup;

import ink.wgink.module.attn.dao.attnconfig.IAttnConfigDao;
import ink.wgink.module.attn.manager.AttnConfigManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * @ClassName: AttnStartUp
 * @Description:
 * @Author: wanggeng
 * @Date: 2022/7/13 10:47
 * @Version: 1.0
 */
@Component
public class AttnStartUp implements ApplicationRunner {

    @Autowired
    private IAttnConfigDao attnConfigDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        AttnConfigManager attnConfig = AttnConfigManager.getInstance();
        attnConfig.setAttnConfigDao(attnConfigDao);
        attnConfig.refresh();
    }
}
