package ink.wgink.service.core.pojo.vos.manage;

import ink.wgink.annotation.CheckListAnnotation;
import ink.wgink.service.user.pojo.vos.UserVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: CoreManageUserVO
 * @Description: 用户VO
 * @Author: wanggeng
 * @Date: 2022/8/12 11:37
 * @Version: 1.0
 */
@ApiModel
public class CoreManageUserVO extends UserVO {

    @ApiModelProperty(name = "departmentIds", value = "部门ID列表")
    @CheckListAnnotation(name = "部门ID列表")
    private List<String> departmentIds;
    @ApiModelProperty(name = "roleIds", value = "角色ID列表")
    private List<String> roleIds;
    @ApiModelProperty(name = "positionIds", value = "职位ID列表")
    private List<String> positionIds;
    @ApiModelProperty(name = "groupIds", value = "组ID列表")
    private List<String> groupIds;

    public List<String> getDepartmentIds() {
        return departmentIds == null ? new ArrayList() : departmentIds;
    }

    public void setDepartmentIds(List<String> departmentIds) {
        this.departmentIds = departmentIds;
    }

    public List<String> getRoleIds() {
        return roleIds == null ? new ArrayList() : roleIds;
    }

    public void setRoleIds(List<String> roleIds) {
        this.roleIds = roleIds;
    }

    public List<String> getPositionIds() {
        return positionIds == null ? new ArrayList() : positionIds;
    }

    public void setPositionIds(List<String> positionIds) {
        this.positionIds = positionIds;
    }

    public List<String> getGroupIds() {
        return groupIds == null ? new ArrayList() : groupIds;
    }

    public void setGroupIds(List<String> groupIds) {
        this.groupIds = groupIds;
    }
}
