package ink.wgink.module.attn.service.attnconfig;

import ink.wgink.module.attn.pojo.dtos.attnconfig.AttnConfigDTO;
import ink.wgink.module.attn.pojo.vos.attnconfig.AttnConfigSaveVO;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IAttnConfigService
 * @Description: 考勤配置
 * @Author: CodeFactory
 * @Date: 2022-07-11 15:13:00
 * @Version: 3.0
 **/
public interface IAttnConfigService {

    /**
     * 新增考勤配置
     *
     * @param attnConfigSaveVO
     * @return
     */
    void save(AttnConfigSaveVO attnConfigSaveVO);

    /**
     * 考勤配置详情
     *
     * @param attnConfigId
     * @return
     */
    AttnConfigDTO get(String attnConfigId);

    /**
     * 考勤配置列表
     *
     * @return
     */
    List<AttnConfigDTO> list();

    /**
     * 考勤配置统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}