package ink.wgink.module.examine.service.examine.impl;

import ink.wgink.module.examine.service.examine.IExamineService;
import org.springframework.stereotype.Service;

import java.util.Observable;

/**
 * @ClassName: ExamineServiceImpl
 * @Description: 考试
 * @Author: wanggeng
 * @Date: 2022/8/9 11:41
 * @Version: 1.0
 */
@Service
public class ExamineServiceImpl extends Observable implements IExamineService {

    private String text;

    public static void main(String[] args) {
//        JSONObject jsonObject = JSONObject.of("k1", "v1");
//        JSONObject jo2 = JSONObject.of("k21", "v21");
//        jsonObject.put("k2", jo2);
//
//        System.out.println(jsonObject.keySet());

//        String regular = "var datas = []; function callback() {return datas}";
//
//        ScriptEngine engine = new ScriptEngineManager().getEngineByName("javascript");
//        try {
//            engine.eval(regular);
//            if (engine instanceof Invocable) {
//                Invocable invoke = (Invocable) engine;
//                Object result = invoke.invokeFunction("callback");
//                System.out.println(result);
//            } else {
//                System.out.println("error");
//            }
//        } catch (ScriptException e) {
//            System.out.println("表达式runtime错误:" + e.getMessage());
//        } catch (NoSuchMethodException e) {
//            throw new RuntimeException(e);
//        }

        ExamineServiceImpl observer = new ExamineServiceImpl();
        //添加观察者
        observer.addObserver((o, arg) -> {
            ExamineServiceImpl examineService = (ExamineServiceImpl) o;
            System.out.println(examineService.getText());
            System.out.println(arg);
            System.out.println("观察者1收到通知");
        });
        observer.addObserver((o, arg) -> {
            System.out.println("观察者2收到通知");
        });
        observer.addObserver((o, arg) -> {
            System.out.println("观察者3收到通知");
        });
        observer.addObserver((o, arg) -> {
            System.out.println("观察者4收到通知");
        });
        observer.addObserver((o, arg) -> {
            System.out.println("观察者5收到通知");
        });
        observer.addObserver((o, arg) -> {
            System.out.println("观察者6收到通知");
        });
        observer.setText("123");
        observer.setChanged(); //数据变化
        observer.notifyObservers(); //通知

    }

    public String getText() {
        return text == null ? "" : text.trim();
    }

    public void setText(String text) {
        this.text = text;
    }
}
